Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.ExclusiveGroupInstance

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.ExclusiveGroupInstance

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance

    public static final class JBPMMessages.ProcessInstance.ExclusiveGroupInstance

extends com.google.protobuf.GeneratedMessage
implements JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage
`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `GROUP_NODE_INSTANCE_ID_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getDefaultInstance()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`long` | `getGroupNodeInstanceId(int index)`
`int` | `getGroupNodeInstanceIdCount()`
`List<Long>` | `getGroupNodeInstanceIdList()`
`int` | `getSerializedSize()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `newBuilder()`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `newBuilder(JBPMMessages.ProcessInstance.ExclusiveGroupInstance prototype)`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `newBuilderForType()`
`protected JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseDelimitedFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom(byte[] data)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom(com.google.protobuf.ByteString data)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### GROUP_NODE_INSTANCE_ID_FIELD_NUMBER

    public static final int GROUP_NODE_INSTANCE_ID_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance getDefaultInstance()

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### getGroupNodeInstanceIdList

    public List<Long> getGroupNodeInstanceIdList()

  Specified by:
    `getGroupNodeInstanceIdList` in interface `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`

### getGroupNodeInstanceIdCount

    public int getGroupNodeInstanceIdCount()

  Specified by:
    `getGroupNodeInstanceIdCount` in interface `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`

### getGroupNodeInstanceId

    public long getGroupNodeInstanceId(int index)

  Specified by:
    `getGroupNodeInstanceId` in interface `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom(com.google.protobuf.ByteString data)
                                                                         throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom(com.google.protobuf.ByteString data,
                                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                         throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom(byte[] data)
                                                                         throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom(byte[] data,
                                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                         throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom(InputStream input)
                                                                         throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom(InputStream input,
                                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                         throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseDelimitedFrom(InputStream input)
                                                                                  throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseDelimitedFrom(InputStream input,
                                                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                  throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom(com.google.protobuf.CodedInputStream input)
                                                                         throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance parseFrom(com.google.protobuf.CodedInputStream input,
                                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                         throws IOException

  Throws:
    `IOException`

### newBuilder

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder newBuilder()

### newBuilderForType

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder newBuilder(JBPMMessages.ProcessInstance.ExclusiveGroupInstance prototype)

### toBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.